Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Robert Pluim <[email-masked]>
Date: Fri, 24 Sep 2021 14:10:01 +0200

>>>>> On Fri, 24 Sep 2021 15:04:18 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Fri, 24 Sep 2021 13:41:07 +0200
    >> 
    >> Yes. Iʼve now pushed exactly that to master. There are two types of
    >> sequences that donʼt work:
    >> 
    >> 1. Where the base character has Emoji_Presentation = No, hence we
    >> donʼt consider it for composition. These are all in the U+2xxx range,
    >> since we explicitly override this for those in the U+1xxxx range. They
    >> do have Emoji_Modifier_Base = Yes, but we donʼt currently do anything
    >> with that info. I guess if we managed to store it in a codepoint
    >> property somewhere, we could teach set-fontset-font or the composition
    >> code about it, but itʼs far too close to emacs-28 for that.

    Eli> The idea was to make this work with the patch to font_range on which
    Eli> you were working?

Yes. I donʼt know yet if that will be enough to allow removing the
overrides.

    >> (this does not include the change for choosing emoji presentation for
    >> codepoints followed by VS-16; that still needs some work).

    Eli> That one is not just for VS-16, right?

Right. Itʼs just that VS-16 make a convenient and colourful test case.

Robert
--